org.apache.ignite.internal.processors.cache.persistence.wal

## Class FileWriteAheadLogManager.ReadFileHandle

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.FileWriteAheadLogManager.ReadFileHandle

Enclosing class:
  FileWriteAheadLogManager

    public static class FileWriteAheadLogManager.ReadFileHandle
    extends Object

### Method Summary

Methods
`void` `close()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed to close the WAL segment file.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017